Package org.eclipse.graphiti.mm.pictograms

# Interface FixPointAnchor

All Superinterfaces:
  `AdvancedAnchor`, `Anchor`, `org.eclipse.emf.ecore.EObject`, `GraphicsAlgorithmContainer`, `org.eclipse.emf.common.notify.Notifier`, `PictogramElement`, `PropertyContainer`

All Known Implementing Classes:
  `FixPointAnchorImpl`

public interface FixPointAnchor extends AdvancedAnchor
A representation of the model object 'Fix Point Anchor'.

The following features are supported:

- `Location`

See Also:
  - `PictogramsPackage.getFixPointAnchor()`

## Method Summary

Modifier and Type
Method
Description
`Point`
`getLocation()`
Returns the value of the 'Location' containment reference.
`void`
`setLocation(Point value)`
Sets the value of the '`Location`' containment reference.

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.AdvancedAnchor

`isUseAnchorLocationAsConnectionEndpoint, setUseAnchorLocationAsConnectionEndpoint`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.Anchor

`getIncomingConnections, getOutgoingConnections, getParent, getReferencedGraphicsAlgorithm, setParent, setReferencedGraphicsAlgorithm`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

## Method Details

### getLocation

Point getLocation()
Returns the value of the 'Location' containment reference.

If the meaning of the 'Location' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Location' containment reference.
See Also:
  - `setLocation(Point)`
  - `PictogramsPackage.getFixPointAnchor_Location()`

### setLocation

void setLocation(Point value)
Sets the value of the '`Location`' containment reference.

Parameters:
  `value` - the new value of the 'Location' containment reference.
See Also:
  - `getLocation()`